package com.wisewoods.eduandroid.ui.adapter;

import com.wisewoods.base.base.BaseVH;
import com.wisewoods.base.bean.RoomLiveBean;
import com.wisewoods.base.page.BasePageAdapter;
import com.wisewoods.base.utils.$;
import com.wisewoods.eduandroid.R;

import org.jetbrains.annotations.NotNull;

public class RoomLiveAdapter extends BasePageAdapter<RoomLiveBean.DataBean> {
    public RoomLiveAdapter() {
        super(R.layout.item_recycler_metting);
        addChildClickViewIds(R.id.tv_join);
    }

    @Override
    protected void convert(@NotNull BaseVH baseVH, RoomLiveBean.DataBean dataBean) {
        baseVH
                .setText(R.id.tv_name, dataBean.themaName)
                .setText(R.id.tv_metting_info, "开始时间：" + $.timeFormat7(dataBean.startTime));
    }
}
